Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.gff
Class GFFRecordFilter.SourceFilter

    java.lang.Object
      org.biojava.bio.program.gff.GFFRecordFilter.SourceFilter

All Implemented Interfaces:
  GFFRecordFilter

Enclosing interface:
  GFFRecordFilter

    public static class GFFRecordFilter.SourceFilter

extends Object
implements GFFRecordFilter

Implementation of GFFRecordFilter that accepts records based upon the source field.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.FrameFilter, GFFRecordFilter.NotFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter, GFFRecordFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.SourceFilter()`
`GFFRecordFilter.SourceFilter(String source)`

Method Summary
`boolean` | `accept(GFFRecord record)` Return whether or not to accept record.
`String` | `getSource()` Retrieve the current source.
`void` | `setSource(String source)` Set the source to source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.SourceFilter

    public GFFRecordFilter.SourceFilter()

### GFFRecordFilter.SourceFilter

    public GFFRecordFilter.SourceFilter(String source)

Method Detail

### getSource

    public String getSource()

  Retrieve the current source.

  Returns:
    the source String

### setSource

    public void setSource(String source)

  Set the source to source.

  Parameters:
    `source` - the new source to match

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: `GFFRecordFilter`
  Return whether or not to accept record.

  Specified by:
    `accept` in interface `GFFRecordFilter`
  Parameters:
    `record` - the GFFRecord to filter
  Returns:
    record. getSource`()` `==` this.getSource`()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD